Create a document summarization job
Queue summarization for a batch of documents; each document is processed independently.
Long documents are summarized in chunks and combined; options.style/options.max_length are
applied to the final combined summary.
In: header
Header Parameters
Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.
Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization
File IDs of the documents to summarize.
1 <= itemsOptions controlling how each document in a summarization job is summarized.
Response Body
curl -X POST "https://deepfellow-server-host/v1/summarization/summarize" \ -H "OpenAI-Organization: string" \ -H "OpenAI-Project: string" \ -H "Content-Type: application/json" \ -d '{ "document_ids": [ "5eb7cf5a86d9755df3a6c593" ] }'{
"id": "5eb7cf5a86d9755df3a6c593",
"project_id": "5eb7cf5a86d9755df3a6c593",
"status": "pending",
"options": {
"max_length": 200,
"style": "neutral"
},
"documents": [
{
"document_id": "5eb7cf5a86d9755df3a6c593",
"status": "pending",
"summary": "string",
"error": "string",
"attempts": 0
}
],
"created_at": 0,
"finished_at": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.